curl --request GET \
--url https://api.example.com/api/data-readiness/workflows/statistics \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/data-readiness/workflows/statistics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/data-readiness/workflows/statistics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"average_duration_seconds": 285.3,
"cancelled_runs": 2,
"configuration_id": "123e4567-e89b-12d3-a456-426614174000",
"failed_runs": 3,
"in_progress_runs": 1,
"last_run_at": "2024-01-15T10:35:00Z",
"successful_runs": 20,
"total_runs": 25
}{
"error": {
"code": "WORKFLOW_NOT_FOUND",
"message": "Workflow configuration with id '123e4567-e89b-12d3-a456-426614174000' not found",
"details": {
"workflow_id": "123e4567-e89b-12d3-a456-426614174000"
}
},
"request_id": "req_abc123xyz"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"code": "WORKFLOW_NOT_FOUND",
"message": "Workflow configuration with id '123e4567-e89b-12d3-a456-426614174000' not found",
"details": {
"workflow_id": "123e4567-e89b-12d3-a456-426614174000"
}
},
"request_id": "req_abc123xyz"
}Get Workflow Statistics
Get aggregated statistics for workflow runs.
Optional filtering:
configuration_id: Filter statistics for a specific configuration. If not provided, returns statistics across all workflows.start_date: Filter runs started after this date (ISO 8601)end_date: Filter runs started before this date (ISO 8601)
Authorizations
JWT Bearer token authentication. Include the token in the Authorization header as: Authorization: Bearer <token>. The JWT must contain valid client_id, and project_id claims for tenant isolation and SDK routing.
Query Parameters
Configuration ID. If not provided, returns statistics for all workflows.
Start date (ISO 8601)
End date (ISO 8601)
Response
Successful Response
Aggregated statistics for workflow runs, optionally filtered by configuration.
Total number of runs
25
Number of successful runs
20
Number of failed runs
3
Number of cancelled runs
2
Number of runs currently in progress (queued or running)
1
Workflow configuration ID. None when returning statistics for all workflows.
"123e4567-e89b-12d3-a456-426614174000"
Average run duration in seconds
285.3
Last run timestamp (ISO 8601)
"2024-01-15T10:35:00Z"
Was this page helpful?

